Canalplan Bug Tracker



Anonymous Login
2019-05-25 06:23 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000540Canalplan Route Planningpublic2019-03-26 11:30
ReporterRoss 
Assigned ToNick Atty 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionno change required 
PlatformApple MacOSOSXOS Version10.11.6 El Capit
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0000540: PDF generation not working - using Safari v9.1.3 web browser
DescriptionIn Calculate route :-

Screen is 'Greyed out' (dark) . Error/Warning message displayed in white box - message says
"Waiting for at least the summary map to load".

Program hangs, no further change, map doesnt load, PDF not seemingly produced.
Steps To Reproduce1. From Route Editor - press Calculate Route button
2. Route is calculated and steps shown
3. press Itinerary button - Itinerary produced. Daily detail steps shown with subtotals per day, but no map is loaded/displayd.
4. Press Create PDF button.
5. Screen is "Greyed out (dark) . Error/Warning message displayed in white box - message says
"Waiting for at least the summary map to load".
6. Program hangs, no further change, map doesnt load, PDF not seemingly produced.
7. Have to use Back button in browser to get back to Calculated Route
Additional InformationI have been using CanalPLan for many years, this "bug" seems to have occurred since I last used CanalPLan in about August 2018.

Thanks
Ross
TagsNo tags attached.
Attach Tags (Separate by ",")
Attached Files

-Relationships
+Relationships

-Notes

~0002065

Nick Atty (administrator)

So the map generation is failing in the first place. In that case PDF generation is not going to work.

Since we moved to the new maps we've had to use a different way to generate images for itineraries, which relies on them being generated in the browser and uploaded. It looks like Safari 9.1.3 doesn't support all the functions being used.

Do you get maps in other places in CanalPlan? Do you get a map if you visit this page:
https://docs.mapbox.com/mapbox-gl-js/example/check-for-support/

I don't suppose you can coax the browser into giving you any sort of error message or console with error message - some searching suggests CMD-OPT-C might do this? If I know what bit of the code is causing problems I can see what advice I can give (other than "try a different browser" which is less than ideal).

Thanks for the detailed bug report by the way - very useful indeed.

~0002089

Ross (reporter)

Cant seem to get an error message from Safari web browser ; cant see anything obvious or that has been " logged since ONLY 23rd Jan".

I Can get a map to generate from your "Check for browser support" web link.
see encl screenshot.

I will try a different browser; also it is possible I may be able to test with different versions of OSX - ie reboot from different disks.


cheers, Ross.

~0002204

Ross (reporter)

HI.
Solved !

Tested with Firefox browser on same OSX 10.11.6 El Capitan - worked fine.

I have now updated Safari from v9.1.3 to current v11.1.2 (still using same OSX El Capitan system) and CanalPlan all works fine , including PDF generation.
I dont know why/how by Safari had got so for behind. Oh well, all's well that ends well.

"lssue" can be closed now; thanks for your help.
And many thanks for the great work you do to provide this wonderfull "free" App.

kind regards
Ross

~0002218

Nick Atty (administrator)

Will do. It's a shame it doesn't work with all browsers, but if it works with the newest version of each I think we can live with this.

~0002255

Autoclose (administrator)

Closing automatically, stayed too long in feedback state. Feel free to re-open with additional information if you think the issue is not resolved.
+Notes

-Issue History
Date Modified Username Field Change
2019-01-23 15:55 Ross New Issue
2019-01-23 15:55 Ross File Added: Canal Plan bug - Screen Shot 2019-01-23 at 15.48.29.png
2019-01-23 18:39 Stephen Atty Assigned To => Nick Atty
2019-01-23 18:39 Stephen Atty Status new => assigned
2019-01-24 07:47 Nick Atty Note Added: 0002065
2019-01-27 15:46 Ross File Added: Canal Plan bug log - Generate Maps test - Screen Shot 2019-01-27 at 15.38.45.png
2019-01-27 15:46 Ross Note Added: 0002089
2019-02-20 10:35 Ross Note Added: 0002204
2019-02-24 10:34 Nick Atty Status assigned => resolved
2019-02-24 10:34 Nick Atty Resolution open => no change required
2019-02-24 10:34 Nick Atty Note Added: 0002218
2019-03-26 11:30 Autoclose Note Added: 0002255
2019-03-26 11:30 Autoclose Status resolved => closed
+Issue History